ACPIDUMP(8)

NAME
acpidump - Dump system's ACPI tables to an ASCII file.

SYNOPSIS
acpidump > acpidump.out

DESCRIPTION
acpidump dumps the systems ACPI tables to an ASCII file appropriate for attaching to a bug report. Subsequently, they can be processed by utilities in the ACPICA package.

  Options
no options worth worrying about.

EXAMPLE
# acpidump > acpidump.out
$ acpixtract -a acpidump.out
        Acpi table [DSDT] -  15974 bytes written to DSDT.dat
        Acpi table [FACS] -     64 bytes written to FACS.dat
        Acpi table [FACP] -    116 bytes written to FACP.dat
        Acpi table [APIC] -    120 bytes written to APIC.dat
        Acpi table [MCFG] -     60 bytes written to MCFG.dat
        Acpi table [SSDT] -    444 bytes written to SSDT1.dat
        Acpi table [SSDT] -    439 bytes written to SSDT2.dat
        Acpi table [SSDT] -    439 bytes written to SSDT3.dat
        Acpi table [SSDT] -    439 bytes written to SSDT4.dat
        Acpi table [SSDT] -    439 bytes written to SSDT5.dat
        Acpi table [RSDT] -     76 bytes written to RSDT.dat
        Acpi table [RSDP] -     20 bytes written to RSDP.dat
$ iasl -d *.dat
creates *.dsl, a human readable form which can be edited and compiled using iasl.

NOTES
acpidump must be run as root.

REFERENCES
ACPICA: https://acpica.org/

FILES
/dev/mem
/sys/firmware/acpi/tables/dynamic/*

AUTHOR
Written by Len Brown <len.brown@intel.com>